using System;
using System.ComponentModel;
using System.Windows.Forms;
using System.Diagnostics;

using BandObjectLib;
using System.Runtime.InteropServices;

namespace SampleBars
{
	[Guid("AE07101B-46D4-4a98-AF68-0333EA26E113")]
	[BandObject("c[o[", BandObjectStyle.Horizontal | BandObjectStyle.ExplorerToolbar | BandObjectStyle.TaskbarToolBar, HelpText = "Shows bar that says hello.")]
	public class HelloWorldBar : BandObject
	{
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.Button button2;
		private System.Windows.Forms.Button button3;
		private System.Windows.Forms.Button button4;
		private System.Windows.Forms.TextBox textBox1;
		private System.ComponentModel.Container components = null;

		public HelloWorldBar()
		{
			InitializeComponent();
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if( components != null )
					components.Dispose();
			}
			base.Dispose( disposing );
		}

		#region Component Designer generated code
		private void InitializeComponent()
		{
			this.button1 = new System.Windows.Forms.Button();
			this.button2 = new System.Windows.Forms.Button();
			this.button3 = new System.Windows.Forms.Button();
			this.button4 = new System.Windows.Forms.Button();
			this.textBox1 = new System.Windows.Forms.TextBox();
			this.SuspendLayout();
			// 
			// button1
			// 
			this.button1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left)));
			this.button1.BackColor = System.Drawing.Color.Transparent;
			this.button1.Cursor = System.Windows.Forms.Cursors.Hand;
			this.button1.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
			this.button1.Location = new System.Drawing.Point(101, 0);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(62, 24);
			this.button1.TabIndex = 0;
			this.button1.TabStop = false;
			this.button1.Text = "blog";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// button2
			// 
			this.button2.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left)));
			this.button2.BackColor = System.Drawing.Color.Transparent;
			this.button2.Cursor = System.Windows.Forms.Cursors.Hand;
			this.button2.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
			this.button2.Location = new System.Drawing.Point(165, 0);
			this.button2.Name = "button2";
			this.button2.Size = new System.Drawing.Size(62, 24);
			this.button2.TabIndex = 1;
			this.button2.TabStop = false;
			this.button2.Text = "wiki";
			this.button2.Click += new System.EventHandler(this.button2_Click);
			// 
			// button3
			// 
			this.button3.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left)));
			this.button3.BackColor = System.Drawing.Color.Transparent;
			this.button3.Cursor = System.Windows.Forms.Cursors.Hand;
			this.button3.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
			this.button3.Location = new System.Drawing.Point(229, 0);
			this.button3.Name = "button3";
			this.button3.Size = new System.Drawing.Size(62, 24);
			this.button3.TabIndex = 2;
			this.button3.TabStop = false;
			this.button3.Text = "soft";
			this.button3.Click += new System.EventHandler(this.button3_Click);
			// 
			// button4
			// 
			this.button4.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left)));
			this.button4.BackColor = System.Drawing.Color.Transparent;
			this.button4.Cursor = System.Windows.Forms.Cursors.Hand;
			this.button4.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
			this.button4.Location = new System.Drawing.Point(293, 0);
			this.button4.Name = "button4";
			this.button4.Size = new System.Drawing.Size(62, 24);
			this.button4.TabIndex = 3;
			this.button4.TabStop = false;
			this.button4.Text = "bookmark";
			this.button4.Click += new System.EventHandler(this.button4_Click);
			// 
			// textBox1
			// 
			this.textBox1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left)));
			this.textBox1.AutoSize = false;
			this.textBox1.BackColor = System.Drawing.SystemColors.Window;
			this.textBox1.Font = new System.Drawing.Font("MS UI Gothic", 11.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(128)));
			this.textBox1.Location = new System.Drawing.Point(0, 0);
			this.textBox1.MaxLength = 128;
			this.textBox1.Name = "textBox1";
			this.textBox1.Size = new System.Drawing.Size(100, 24);
			this.textBox1.TabIndex = 1;
			this.textBox1.Text = "";
			// 
			// HelloWorldBar
			// 
			this.BackColor = System.Drawing.SystemColors.Control;
			this.Controls.Add(this.textBox1);
			this.Controls.Add(this.button4);
			this.Controls.Add(this.button3);
			this.Controls.Add(this.button2);
			this.Controls.Add(this.button1);
			this.MinSize = new System.Drawing.Size(72, 24);
			this.Name = "HelloWorldBar";
			this.Size = new System.Drawing.Size(360, 24);
			this.Title = "";
			this.ResumeLayout(false);

		}
		#endregion

		private void button1_Click(object sender, System.EventArgs e)
		{
			if (this.textBox1.Text != "") 
			{
				Process.Start("http://jomora.bne.jp/wp/?s=" + this.textBox1.Text.Trim());
			} 
			else 
			{
				Process.Start("http://jomora.bne.jp/wp/");		
			}
		}

		private void button2_Click(object sender, System.EventArgs e)
		{
			if (this.textBox1.Text != "") 
			{
				Process.Start("http://jomora.bne.jp/wiki/?cmd=search&encode_hint=&type=AND&word=" + this.textBox1.Text.Trim());		
			} 
			else 
			{
				Process.Start("http://jomora.bne.jp/wiki/");		
			}
		}

		private void button3_Click(object sender, System.EventArgs e)
		{
			Process.Start("http://jomora.bne.jp/soft/");		
		}

		private void button4_Click(object sender, System.EventArgs e)
		{
			Process.Start("http://jomora.bne.jp/bookmark.htm");		
		}

	}
}
